classification
Title: document tp_print() as being dead in Py3
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, docs@python, python-dev, scoder
Priority: normal Keywords: patch

Created on 2013-11-01 18:43 by scoder, last changed 2014-10-05 14:38 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
undocument_tp_print.patch scoder, 2014-10-05 14:28 review
Messages (4)
msg201933 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2013-11-01 18:43
The "tp_print" slot is still documented as it was in Py2, although it is no longer used in Py3.

http://docs.python.org/3.4/c-api/typeobj.html?highlight=tp_print#PyTypeObject.tp_print

Given that it no longer serves any purpose, it should at least be deprecated and documented as unused/ignored (and eventually removed completely, at the same time as tp_reserved).
msg228277 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-02 22:56
@Stefan can you provide a patch for this?
msg228568 - (view) Author: Stefan Behnel (scoder) * (Python committer) Date: 2014-10-05 14:15
Sure.
msg228572 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-05 14:38
New changeset bead459ccce8 by Georg Brandl in branch '3.4':
Closes #19477: remove outdated documentation of tp_print type object slot.
https://hg.python.org/cpython/rev/bead459ccce8
History
Date User Action Args
2014-10-05 14:38:37python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg228572

resolution: fixed
stage: needs patch -> resolved
2014-10-05 14:28:59scodersetfiles: + undocument_tp_print.patch
2014-10-05 14:28:45scodersetfiles: - undocument_tp_print.patch
2014-10-05 14:15:26scodersetfiles: + undocument_tp_print.patch
keywords: + patch
messages: + msg228568
2014-10-03 00:52:26pitrousetstage: needs patch
2014-10-02 22:56:48BreamoreBoysetnosy: + BreamoreBoy

messages: + msg228277
versions: + Python 3.5, - Python 3.1, Python 3.2, Python 3.3
2013-11-01 18:43:21scodercreate